- How does this differ from QubesOS?
    - [QubesOS](https://www.qubes-os.org/) has some downsides such as computational power required to run the majority of processes as a VM, and thus throttles the host. Keeping templates updated is not a trivial task with Qubes. Not to mention the difficulty of routing Xen via TOR on the main host. For these reasons, Whonix even started [Whonix-Host](https://www.whonix.org/wiki/Whonix-Host) which is the same idea of this project. Albeit, they've been slow with their implementation.
- How would someone compromise PlagueOS?
    - To fully compromise the host, one would have to find a way to exploit the running VM, perform a sandbox escape from libvirt, find a way to exploit some running process or create a reverse shell from the unprivileged user, then break credentials for the admin account, which requires the use of doas for privilege escalation. We have a stringent apparmor profile on libvirt (kvm). We also have developed a bwrap sandbox for libvirt, however process execution of the VMs took a substantial performance hit. This performance issue is likely due to our implementation of GrapheneOS's hardened_malloc.
- Can regular GNU/Linux applications be installed?
    - Applications are heavily restricted with this build and must be installed with `doas` privilege escalation with the `admin` account. The security of this OS follows a strict hypervisor usage model; installing applications breaks the [usage model](https://0xacab.org/optout/plagueOS/wiki/Home#proper-usage) and should be conducted at the user's own risk.
- Is there an offline installation?
    - An offline installer is a planned feature; however this will not be available in the immediate future. For best use, an installation via ethernet is advised.
- Are there hardware limitations?
    - There is not specific hardware that is required to run PlagueOS. As a whole, we recommend having at least 8GB of RAM for the guests (VMs), however this is not required. Old hardware can run the base install in an efficient manner. We should note that ARM architectures are not currently supported.
    - Certain vendors have unique requirements with UEFI. Void Linux stages the grub binary under the directory `/boot/efi/EFI/Void/grubx64.efi`. For non-compliant vendors that require GRUB to be staged in a standard directory without additional checks, run the following command: `cp /boot/efi/EFI/Void/grubx64.efi /boot/efi/EFI/boot/bootx64.efi`
      - See [Void Documentation](https://docs.voidlinux.org/installation/guides/chroot.html#installing-on-removable-media-or-non-compliant-uefi-systems)
- Can PlagueOS be used as a VM guest? I would like to leverage the many hardening features PlagueOS configures by default.
  - Absolutely - although the main limitations include being aware of applications being largely restricted with the mix of MUSL, runit, and xbps packaging.
  - Note: If using PlagueOS as a guest while using libvirt qemu, remember to disable/modify the default libvirt qemu networking within the PlagueOS guest itself, as the redundancy interferes with networking and internet access.
